Subject: Re: [PATCH v6 00/15] packfile: carve out a new packfile store

From: Taylor Blau <[email-masked]>
Date: Sun, 28 Sep 2025 18:05:54 -0400

On Fri, Sep 26, 2025 at 07:26:14AM +0200, Patrick Steinhardt wrote:
> On Thu, Sep 25, 2025 at 09:08:19AM -0700, Junio C Hamano wrote:
> > Patrick Steinhardt <[email-masked]> writes:
> >
> > > information about a object database's packfiles is currently distributed
> > > across two different structures:
> > >
> > >   - `struct packed_git` contains the `next` pointer as well as the
> > >     `mru_head`, both of which serve to store the list of packfiles.
> > >
> > >   - `struct object_database` contains several fields that relate to the
> > >     packfiles.
> > > ...
> > > Changes in v6:
> > >   - Fix a grammar issue in a commit message.
> > >   - Update a comment to reflect that we access `struct packfile_store`
> > >     in "midx.c" directly, as well.
> > >   - Link to v5: https://lore.kernel.org/r/[email-masked]
> >
> > It seems that we are basically done with the topic and strayed into
> > nitpicking territory?   Shall we declare victory and mark the topic
> > for 'next'?
>
> >From my point of view it should be ready to go, yeah. Thanks!

Yeah, this version looks good to me. I apologize for the delay in
reading v5, but looking at the range-diffs between v4 and v6, the result
looks good to me.

  Acked-by: Taylor Blau <[email-masked]>

Thanks,
Taylor